Get Distributed Vlan Connections
Get all Distributed VLAN Connections.
Get all Distributed VLAN Connections. Use the 'availableForRegionalNetworkingSettingId'
filter to get connections that can be added to a specific Regional Networking Setting:
filter=availableForRegionalNetworkingSettingId==URN.
Request
URI
GET
https://{api_host}/cloudapi/v1/distributedVlanConnections
COPY
Query Parameters
string
filter
Optional
Filter for a query. FIQL format.
string
sortAsc
Optional
Field to use for ascending sort
string
sortDesc
Optional
Field to use for descending sort
integer
page
Required
Constraints:
minimum: 1
default: 1
Page to fetch, zero offset.
integer
pageSize
Required
Constraints:
minimum: 0
maximum: 128
default: 25
Results per page to fetch.
Responses
200
OK
Returns
DistributedVlanConnections
of type(s)
application/json;version=9.1.0
This response body class contains all of the following:
Page ,
InlineDistributedVlanConnections1
{
"resultTotal": 0,
"pageCount": 0,
"page": 0,
"pageSize": 0,
"associations": [
{
"entityId": "string",
"associationId": "string"
}
],
"values": [
{
"status": "string",
"id": "urn:vcloud:distributedVlanConnection:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "string",
"description": "string",
"vlanId": 0,
"gatewayCidr": "10.10.10.1/24",
"regionRef": {
"name": "string",
"id": "string"
},
"zoneRefs": [
{
"name": "string",
"id": "string"
}
],
"ipSpaceRef": {
"name": "string",
"id": "string"
},
"subnetExclusive": false,
"backingId": "string",
"dedicatedOrgRef": {
"name": "string",
"id": "string"
},
"dedicatedSharedSubnetRef": {
"name": "string",
"id": "string"
}
}
]
}
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/distributedVlanConnections?page=value&pageSize=v
Availability
Added in 9.1.0
Distributed Vlan Connections Operations
GET
Get Distributed Vlan Connections
POST
Create Distributed Vlan Connection
GET
Get Distributed Vlan Connection
PUT
Update Distributed Vlan Connection
DELETE
Delete Distributed Vlan Connection